The SolrUtils class

- « Examples

- SolrUtils::digestXmlResponse »

- PHP Manual
- Solr
- The SolrUtils class

# The SolrUtils class

(PECL solr >= 0.9.2)

## Introduction

Contains utility methods for retrieving the current extension version and preparing query phrases.

Also contains method for escaping query strings and parsing XML responses.

## Class synopsis

abstract class SolrUtils {
/* Methods */
public static digestXmlResponse(string `$xmlresponse`, int `$parse_mode` = 0): SolrObject
public static escapeQueryChars(string `$str`): string|false
public static getSolrVersion(): string
public static queryPhrase(string `$str`): string
}

## Table of Contents

- SolrUtils::digestXmlResponse — Parses an response XML string into a SolrObject
- SolrUtils::escapeQueryChars — Escapes a lucene query string
- SolrUtils::getSolrVersion — Returns the current version of the Solr extension
- SolrUtils::queryPhrase — Prepares a phrase from an unescaped lucene string